Skip to main content
`Ctrl`+`K`

# PetscHMapIIterSet

Set the value referenced by an iterator in the hash

## Synopsis

    #include <petsc/private/hashmapi.h>
    PetscErrorCode PetscHMapIIterSet(PetscHMapI ht, PetscHashIter iter, PetscInt val)

## Input Parameters

- ht - The hash table

- iter - The iterator

- val - The value

## See Also

`PetscHMapIPut()`, `PetscHMapIQuerySet()`, `PetscHMapISet()`, `PetscHMapISetWithMode()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages